Retrieve a transfer 

Retrieves the details of an existing transfer. Supply the unique transfer ID from either a transfer creation request or the transfer list, and Stripe will return the corresponding transfer information.

Parameters

No parameters.

Returns

Returns a transfer object if a valid identifier was provided, and raises an error otherwise.

GET /v1/transfers/:id
curl https://api.stripe.com/v1/transfers/tr_1MiN3gLkdIwHu7ixNCZvFdgA \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "tr_1MiN3gLkdIwHu7ixNCZvFdgA",
"object": "transfer",
"amount": 400,
"amount_reversed": 0,
"balance_transaction": "txn_1MiN3gLkdIwHu7ixxapQrznl",
"created": 1678043844,
"currency": "usd",
"description": null,
"destination": "acct_1MTfjCQ9PRzxEwkZ",
"destination_payment": "py_1MiN3gQ9PRzxEwkZWTPGNq9o",
"livemode": false,
"metadata": {},
"reversals": {
"object": "list",
"data": [],
"has_more": false,
"total_count": 0,
"url": "/v1/transfers/tr_1MiN3gLkdIwHu7ixNCZvFdgA/reversals"
},
"reversed": false,
"source_transaction": null,
"source_type": "card",
"transfer_group": "ORDER_95"
}

List all transfers 

Returns a list of existing transfers sent to connected accounts. The transfers are returned in sorted order, with the most recently created transfers appearing first.

Parameters

  • destinationstring

    Only return transfers for the destination specified by this account ID.

More parameters

  • createdobject

  • ending_beforestring

  • limitinteger

  • starting_afterstring

  • transfer_groupstring

Returns

A dictionary with a data property that contains an array of up to limit transfers, starting after transfer starting_after. Each entry in the array is a separate transfer object. If no more transfers are available, the resulting array will be empty.

GET /v1/transfers
curl -G https://api.stripe.com/v1/transfers \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/transfers",
"has_more": false,
"data": [
{
"id": "tr_1MiN3gLkdIwHu7ixNCZvFdgA",
"object": "transfer",
"amount": 400,
"amount_reversed": 0,
"balance_transaction": "txn_1MiN3gLkdIwHu7ixxapQrznl",
"created": 1678043844,
"currency": "usd",
"description": null,
"destination": "acct_1MTfjCQ9PRzxEwkZ",
"destination_payment": "py_1MiN3gQ9PRzxEwkZWTPGNq9o",
"livemode": false,
"metadata": {},
"reversals": {
"object": "list",
"data": [],
"has_more": false,
"total_count": 0,
"url": "/v1/transfers/tr_1MiN3gLkdIwHu7ixNCZvFdgA/reversals"
},
"reversed": false,
"source_transaction": null,
"source_type": "card",
"transfer_group": "ORDER_95"
}
]
}